INSERT INTO app_configuration (id, variable, value) VALUES (nextval('app_configuration_id_seq'), 'atna_questionnaire_directory', '/opt/atna/questionnaire');
INSERT INTO app_configuration (id, variable, value) VALUES (nextval('app_configuration_id_seq'), 'upload_max_size', '100000');
INSERT INTO app_configuration (id, variable, value) VALUES (nextval('app_configuration_id_seq'), 'audit_message_validation_xsl', 'http://gazelle.ihe.net/tls/stylesheet/auditMessagevalidatorDetailedResult.xsl');

INSERT INTO atna_testing_session(id, testing_session_id, description) values (1, 1, 'Demonstration');
INSERT INTO atna_questionnaire (id, company, status, system, system_type, testing_session_id, username) values (1, 'IHE-Europe', 0, 'TEMPLATE', 1, 1, 'aberge');
INSERT INTO atna_audited_event (id, atna_questionnaire_id, audited_transaction, issuing_actor, name, produced_by_system, validation_status, validator_oid) values (nextval('atna_audited_event_id_seq'), 1, 'ITI-18 - Registry Stored Query', 'Document Consumer', 'Query Information', 0, 4, '1.3.6.1.4.1.12559.11.1.2.1.12.16');
INSERT INTO atna_audited_event (id, atna_questionnaire_id, audited_transaction, issuing_actor, name, produced_by_system, validation_status, validator_oid) values (nextval('atna_audited_event_id_seq'), 1, 'ITI-19 - Authenticate Node', 'Secure Node', 'Node-Authentication-failure', 0, 4, null);
INSERT INTO atna_audited_event (id, atna_questionnaire_id, audited_transaction, issuing_actor, name, produced_by_system, validation_status, validator_oid) values (nextval('atna_audited_event_id_seq'), 1, 'ITI-43 - Retrieve Document Set', 'Document Consumer', 'PHI-import', 0, 4, '1.3.6.1.4.1.12559.11.1.2.1.12.22');
INSERT INTO atna_audited_event (id, atna_questionnaire_id, audited_transaction, issuing_actor, name, produced_by_system, validation_status, validator_oid) values (nextval('atna_audited_event_id_seq'), 1, 'ITI-46 - PIXV3 Update Notification', 'Patient Identity Cross-reference Manager', 'Patient-record-event', 0, 4, '1.3.6.1.4.1.12559.11.1.2.1.12.76');
INSERT INTO atna_network_communication (id, actor, atna_questionnaire_id, convey_phi, protected_by_tls, inout, type, usage) values (nextval('atna_network_communication_id_seq'), 'Patient Identity Cross-reference Manager', 1, 0, 0, 0, 2, 'ITI-45 - PIXV3 Query');
INSERT INTO atna_network_communication (id, actor, atna_questionnaire_id, convey_phi, protected_by_tls, inout, type, usage) values (nextval('atna_network_communication_id_seq'), 'Patient Identity Cross-reference Manager', 1, 0, 0, 0, 2, 'ITI-44 - Patient Identity Feed HL7 V3');
INSERT INTO atna_network_communication (id, actor, atna_questionnaire_id, convey_phi, protected_by_tls, inout, type, usage) values (nextval('atna_network_communication_id_seq'), 'Document Registry', 1, 0, 0, 0, 2, 'ITI-62 - Delete Document Set');
INSERT INTO atna_network_communication (id, actor, atna_questionnaire_id, convey_phi, protected_by_tls, inout, type, usage) values (nextval('atna_network_communication_id_seq'), 'Document Registry', 1, 0, 0, 0, 2, 'ITI-57 - Update Document Set');
INSERT INTO atna_network_communication (id, actor, atna_questionnaire_id, convey_phi, protected_by_tls, inout, type, usage) values (nextval('atna_network_communication_id_seq'), 'Document Registry', 1, 0, 0, 0, 2, 'ITI-44 - Patient Identity Feed HL7 V3');
INSERT INTO atna_network_communication (id, actor, atna_questionnaire_id, convey_phi, protected_by_tls, inout, type, usage) values (nextval('atna_network_communication_id_seq'), 'Document Registry', 1, 0, 0, 0, 2, 'ITI-61 - Register On-Demand Document Entry');
INSERT INTO atna_network_communication (id, actor, atna_questionnaire_id, convey_phi, protected_by_tls, inout, type, usage) values (nextval('atna_network_communication_id_seq'), 'Document Registry', 1, 0, 0, 0, 2, 'ITI-42 - Register Document Set-b');
INSERT INTO atna_network_communication (id, actor, atna_questionnaire_id, convey_phi, protected_by_tls, inout, type, usage) values (nextval('atna_network_communication_id_seq'), 'Secure Node', 1, 0, 0, 0, 4, 'ITI-1 - Maintain Time');
INSERT INTO atna_network_communication (id, actor, atna_questionnaire_id, convey_phi, protected_by_tls, inout, type, usage) values (nextval('atna_network_communication_id_seq'), 'Document Registry', 1, 0, 0, 0, 0, 'ITI-8 - Patient Identity Feed');
INSERT INTO atna_network_communication (id, actor, atna_questionnaire_id, convey_phi, protected_by_tls, inout, type, usage) values (nextval('atna_network_communication_id_seq'), 'Time Client', 1, 0, 0, 1, 4, 'ITI-1 - Maintain Time');
INSERT INTO atna_network_communication (id, actor, atna_questionnaire_id, convey_phi, protected_by_tls, inout, type, usage) values (nextval('atna_network_communication_id_seq'), 'Document Consumer', 1, 0, 0, 1, 2, 'ITI-43 - Retrieve Document Set');
INSERT INTO atna_network_communication (id, actor, atna_questionnaire_id, convey_phi, protected_by_tls, inout, type, usage) values (nextval('atna_network_communication_id_seq'), 'Patient Identity Cross-reference Manager', 1, 0, 0, 1, 2, 'ITI-46 - PIXV3 Update Notification');
INSERT INTO atna_network_communication (id, actor, atna_questionnaire_id, convey_phi, protected_by_tls, inout, type, usage) values (nextval('atna_network_communication_id_seq'), 'Secure Node', 1, 0, 0, 1, 1, 'ITI-20 - Record Audit Event');
UPDATE am_audit_message_specification set affinity_domain = 'IHE' where name like 'IHE%';
UPDATE am_audit_message_specification set affinity_domain = 'epSOS' where name like 'epSOS%';
UPDATE am_audit_message_specification set affinity_domain = 'deprecated' where name like 'deprecated%';


